読者です 読者をやめる 読者になる 読者になる

めも帖

「めも帖」代わりにダラダラと書いていったり、めもしたりしているだけです。

twitter bootstrap 3 を Rails 4 で利用する

Ruby on Rails

仕事で、社内向けの管理画面なんかは、手軽に作りたい。でも、scaffold のままだと流石に使いづらい。ということで、徐々に Bootstrap を導入して直しています。 Bootstrapを使い始めたものの、3系できちんと使い始めたので、3系を使う方法。

Ruby on Rails 3.2 + sass-rails

お仕事では、Ruby on Rails 3.2系で、sass-rails を利用しています。 なので、Gemfile を下記のようにして、bundle install

group :assets do
  gem 'sass-rails',   '~> 3.2.3'
  gem 'coffee-rails', '~> 3.2.1'
  gem 'therubyracer', :platforms => :ruby
  gem 'uglifier', '>= 1.0.3'
  gem 'turbo-sprockets-rails3'
end

Ruby on Rails 4.0 + twitter-bootstrap-rails

でも、普段(?)は、Rails 4 なので、こんな方法で対応しました。 これだと、Herokuでも動きました

gem "twitter-bootstrap-rails", github: 'seyhunak/twitter-bootstrap-rails', branch: 'bootstrap3'

Bootstrap

Bootstrap